Device::USB::PCSensor::HidTEMPer::TEMPer2::Internal(3pm)

NAME
Device::USB::PCSensor::HidTEMPer::TEMPer2::Internal - The HidTEMPer2 internal sensor

VERSION
Version 0.01

SYNOPSIS
None

DESCRIPTION
This is the implementation of the HidTEMPer2 internal sensor.

  CONSTANTS

•   MAX_TEMPERATURE

    The highest temperature(120 degrees celsius) this sensor can detect.

•   MIN_TEMPERATURE

    The lowest temperature(-40 degrees celsius) this sensor can detect.

  METHODS

•   celsius()

    Returns the current temperature from the device in celsius degrees.

INHERIT METHODS FROM
Device::USB::PCSensor::HidTEMPer::Sensor

DEPENDENCIES
This module internally includes and takes use of the following packages:

  use Device::USB::PCSensor::HidTEMPer::Sensor;

This module uses the strict and warning pragmas.

BUGS
Please report any bugs or missing features using the CPAN RT tool.

FOR MORE INFORMATION
None

AUTHOR
Daniel Fahlgren

(Based on code by Magnus Sulland < msulland@cpan.org >)

ACKNOWLEDGEMENTS
Thanks to Jean F. Delpech for the temperature fix that solves the problem with temperatures bellow 0 Celsius.

This code is inspired by Relavak's source code and the comments found at: http://relavak.wordpress.com/2009/10/17/ temper-temperature-sensor-linux-driver/

COPYRIGHT & LICENSE
Copyright (c) 2010-2011 Magnus Sulland

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.